import express from "express";
import { addAssessmentQuestions, getAssessmentQuestions, updateAssessmentQuestionById, getUserAnswers, addUserAssessmentResponse, getUserDayTraining, updateVideoWatchByUser } from "../controller/assessment/index.js";
import auth from "../middlewares/auth.js";

const router = express.Router();

router.post("/questions", addAssessmentQuestions);
router.patch("/update-question/:id", updateAssessmentQuestionById );
router.get("/get-all-questions", getAssessmentQuestions);
router.post("/add-user-answers", auth, addUserAssessmentResponse);
router.get("/get-user-answers", auth, getUserAnswers);
router.get("/get-day-wise-training", auth, getUserDayTraining);
router.patch("/video-watch-for-day", auth, updateVideoWatchByUser);
export default router;
